import { UmbLitElement } from '../../../../../core/lit-element/index.js';
export declare class UmbBlockGridAreaTypeWorkspaceEditorElement extends UmbLitElement {
    #private;
    private _name?;
    constructor();
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export default UmbBlockGridAreaTypeWorkspaceEditorElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-block-grid-area-type-workspace-editor': UmbBlockGridAreaTypeWorkspaceEditorElement;
    }
}
